package com.simuwang.base.pojo.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author mozuwen
 * @date 2024-11-01
 * @description 大赛排名结果明细基本字段
 */
@Data
public class CompetitionBaseResultDTO {

    /**
     * 策略
     */
    @HeadFontStyle(fontHeightInPoints = 10)
    @ColumnWidth(15)
    @ExcelProperty(value = "策略", index = 0)
    private String strategyName;

    /**
     * 排名
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "排名", index = 1)
    private Integer rank;

    /**
     * 综合得分
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "综合得分", index = 2)
    private BigDecimal score;
    /**
     * 策略
     */
    @ExcelIgnore
    private Integer strategy;

    /**
     * 产品
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "产品", index = 3)
    private String fundId;

    /**
     * 产品备案编码
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "产品备案编码", index = 4)
    private String registerNumber;

    /**
     * 产品全称
     */
    @ColumnWidth(25)
    @ExcelProperty(value = "产品全称", index = 5)
    private String fundName;

    /**
     * 产品简称
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "产品简称", index = 6)
    private String fundShortName;

    /**
     * 公司
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "公司", index = 7)
    private String companyId;

    /**
     * 公司备案编码
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "公司备案编码", index = 8)
    private String companyRegisterNumber;

    /**
     * 公司全称
     */
    @ColumnWidth(25)
    @ExcelProperty(value = "公司全称", index = 9)
    private String companyName;

    /**
     * 公司简称
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "公司简称", index = 10)
    private String companyShortName;

    /**
     * 期初净值日期
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "期初净值日期", index = 11)
    private String startPriceDate;

    /**
     * 期初净值
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "期初净值", index = 12)
    private String startCumulativeNavWithdrawal;

    /**
     * 期末净值日期
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "期末净值日期", index = 13)
    private String endPriceDate;

    /**
     * 期末净值
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "期末净值", index = 14)
    private String endCumulativeNavWithdrawal;
}
