package com.simuwang.base.pojo.dto;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author mozuwen
 * @date 2024-11-01
 * @description 中航证券大赛排名榜单模板
 */
@Data
public class ZhzqCompetitionResultDTO extends CompetitionBaseResultDTO {

    /**
     * 收益率
     */
    @HeadFontStyle(fontHeightInPoints = 10)
    @ColumnWidth(15)
    @ExcelProperty("收益率")
    private BigDecimal ret;

    /**
     * 回撤
     */
    @ColumnWidth(15)
    @ExcelProperty("回撤")
    private BigDecimal maxdown;

    /**
     * 夏普比率
     */
    @ColumnWidth(15)
    @ExcelProperty("夏普比率")
    private BigDecimal sharpeRatio;

    /**
     * 信息比率
     */
    @ColumnWidth(15)
    @ExcelProperty("信息比率")
    private BigDecimal infoRatio;

    /**
     * 卡玛比率
     */
    @ColumnWidth(15)
    @ExcelProperty("卡玛比率")
    private BigDecimal calmarRatio;

    /**
     * 产品规模
     */
    @ColumnWidth(15)
    @ExcelProperty("产品规模")
    private BigDecimal productScale;

    /**
     * 区间超额收益
     */
    @ColumnWidth(15)
    @ExcelProperty("区间超额收益")
    private BigDecimal excessRet;

    /**
     * 超额回撤
     */
    @ColumnWidth(15)
    @ExcelProperty("超额回撤")
    private BigDecimal excessMaxdown;

    /**
     * 超额卡玛比率
     */
    @ColumnWidth(15)
    @ExcelProperty("超额卡玛比率")
    private BigDecimal excessCalmarRatio;

}
