package com.simuwang.manage.service.competition;

import cn.hutool.core.map.MapUtil;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
public class CompetitionFactory {

    private final Map<String, AbstractCompetitionResult> COMPETITION_RESULT_MAP = MapUtil.newHashMap();

    public CompetitionFactory(Map<String, AbstractCompetitionResult> resultMap) {
        COMPETITION_RESULT_MAP.putAll(resultMap);
    }

    public AbstractCompetitionResult getInstance(Integer competitionId) {
        for (Map.Entry<String, AbstractCompetitionResult> competitionResultEntry : COMPETITION_RESULT_MAP.entrySet()) {
            AbstractCompetitionResult competitionResult = competitionResultEntry.getValue();
            if (competitionResult.isSupport(competitionId)) {
                return competitionResult;
            }
        }
        return null;
    }

}
